(function () {
    "use strict";

    angular.module('core').controller('reportFinanceiroController', controller);
    controller.$inject = ['$scope', '$filter', 'configService'];

    function controller($scope, $filter, configService) {
        $scope.initializeLayout('Financeiro');

        $scope.state = {
            data: [],
        };

        /* funções */
        $scope.initialize = function () {
            $scope.getAllNavegacaoReport();
        };

        $scope.getAllNavegacaoReport = function () {
            configService.getAllNavegacaoReport('Financeiro')
                .then(
                    function (response) {
                        if (response.Status < 0) {
                            $scope.tools.toastr.error(response.Message, 'Serviço');
                            console.error(response.Exception);
                        } else {
                            angular.copy(angular.fromJson(response.Data), $scope.state.data);
                        }
                    },
                    function (_error) {
                        $scope.tools.toastr.error('Não foi possível conectar com o(s) servidor(es)');
                        console.error(_error);
                    }
                );
        };

        $scope.initialize();

    }

})();